summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Binh Nguyen2010-09-18 18:07:04 +0200
committer Robby Workman2010-09-22 05:09:39 +0200
commitb92f4d6ca7aee92fdb44d8db30ca57b74acfca2c (patch)
tree4ce3d899dfaa929b045d342ab3dbc090f9c91340 /system
parentba6a5d98819849a72551ac803bc5a3545bd1542e (diff)
downloadslackbuilds-b92f4d6ca7aee92fdb44d8db30ca57b74acfca2c.tar.gz
system/file-roller: Added (archive manager for GNOME)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/file-roller/README25
-rw-r--r--system/file-roller/doinst.sh24
-rw-r--r--system/file-roller/file-roller.SlackBuild103
-rw-r--r--system/file-roller/file-roller.info10
-rw-r--r--system/file-roller/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/system/file-roller/README b/system/file-roller/README
new file mode 100644
index 0000000000..73268f894d
--- /dev/null
+++ b/system/file-roller/README
@@ -0,0 +1,25 @@
+File-roller is an archive manager for the GNOME environment. It allows
+you to:
+
+ * Create and modify archives
+ * View the content of an archive
+ * View a file contained in an archive
+ * Extract files from the archive
+
+File-roller supports the following formats:
+
+ * Tar (.tar) archives, including those compressed with
+ gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
+ compress (.tar.Z, .taz), lzop (.tar.lzo, .tzo) and lzma (.tar.lzma)
+ * Zip archives (.zip)
+ * Jar archives (.jar, .ear, .war)
+ * 7z archives (.7z)
+ * iso9660 CD images (.iso)
+ * Lha archives (.lzh)
+ * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
+ compress (.Z), lzop (.lzo) and lzma (.lzma)
+
+File-roller doesn't perform archive operations by itself, but relies on
+standard tools for this.
+
+This requires GConf.
diff --git a/system/file-roller/doinst.sh b/system/file-roller/doinst.sh
new file mode 100644
index 0000000000..9840b019c5
--- /dev/null
+++ b/system/file-roller/doinst.sh
@@ -0,0 +1,24 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install file-roller.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/system/file-roller/file-roller.SlackBuild b/system/file-roller/file-roller.SlackBuild
new file mode 100644
index 0000000000..cd86e7b6e8
--- /dev/null
+++ b/system/file-roller/file-roller.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for file-roller
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=file-roller
+VERSION=${VERSION:-2.30.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --disable-scrollkeeper \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HACKING INSTALL MAINTAINERS NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/file-roller/file-roller.info b/system/file-roller/file-roller.info
new file mode 100644
index 0000000000..cd7724f66e
--- /dev/null
+++ b/system/file-roller/file-roller.info
@@ -0,0 +1,10 @@
+PRGNAM="file-roller"
+VERSION="2.30.2"
+HOMEPAGE="http://fileroller.sourceforge.net/"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/file-roller/2.30/file-roller-2.30.2.tar.bz2"
+MD5SUM="c13209518d2e2294ec1fa813e063b0c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/system/file-roller/slack-desc b/system/file-roller/slack-desc
new file mode 100644
index 0000000000..99246aa701
--- /dev/null
+++ b/system/file-roller/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+file-roller: file-roller (an archive manager for GNOME)
+file-roller:
+file-roller: File-roller is an archive manager for the GNOME environment. It allows
+file-roller: you to:
+file-roller: * Create and modify archives
+file-roller: * View the content of an archive
+file-roller: * View a file contained in an archive
+file-roller: * Extract files from the archive
+file-roller:
+file-roller: Homepage: http://fileroller.sourceforge.net/
+file-roller: